com.holonplatform.datastore.jdbc.composer.internal

## Enum DefaultSQLTypeConverter

- java.lang.Object
- - java.lang.Enum<DefaultSQLTypeConverter>
  - - com.holonplatform.datastore.jdbc.composer.internal.DefaultSQLTypeConverter

- All Implemented Interfaces:
    SQLTypeConverter, Serializable, Comparable<DefaultSQLTypeConverter>

      public enum DefaultSQLTypeConverter
      extends Enum<DefaultSQLTypeConverter>
      implements SQLTypeConverter

  Default `SQLTypeConverter`.
  Since:
    5.1.0

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INSTANCE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Optional<Class<?>>` | `getJavaType(SQLContext context, SQLType sqlType)` Get the Java type which corresponds to given SQL type.
    `Optional<SQLType>` | `getSqlType(SQLContext context, Class<?> javaType)` Get the SQL type which corresponds to given Java type.
    `static DefaultSQLTypeConverter` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static DefaultSQLTypeConverter[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.composer.SQLTypeConverter

      `getDefault`

- - ### Enum Constant Detail

    - #### INSTANCE

          public static final DefaultSQLTypeConverter INSTANCE

  - ### Method Detail

    - #### values

          public static DefaultSQLTypeConverter[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (DefaultSQLTypeConverter c : DefaultSQLTypeConverter.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static DefaultSQLTypeConverter valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getJavaType

          public Optional<Class<?>> getJavaType(SQLContext context,
                                                SQLType sqlType)

      Description copied from interface: `SQLTypeConverter`
      Get the Java type which corresponds to given SQL type.
      Specified by:
        `getJavaType` in interface `SQLTypeConverter`
      Parameters:
        `context` - SQL context
        `sqlType` - The sql type (not null)
      Returns:
        Optional Java type, empty if it cannot be resolved

    - #### getSqlType

          public Optional<SQLType> getSqlType(SQLContext context,
                                              Class<?> javaType)

      Description copied from interface: `SQLTypeConverter`
      Get the SQL type which corresponds to given Java type.
      Specified by:
        `getSqlType` in interface `SQLTypeConverter`
      Parameters:
        `context` - SQL context
        `javaType` - The sql type (not null)
      Returns:
        Optional SQL type, empty if it cannot be resolved

Copyright © 2019 The Holon Platform. All rights reserved.